--Author: Thomas Baumann, Andeas Krker, Steffen Keller
--Aufgabe: Spezialisierung e
--Package body Geo.Flaechenobjekte.Punkt
with Text_Io, Ada.Integer_Text_Io, Adagraph;

package body Geo.Flaechenobjekte.Elipse is

   procedure Erstelle (Was : in out TElipse; Wo : in Pixel_Koordinaten; P1 : in Pixel_Koordinaten; Farbe : in Bildschirmfarbe := 1; FFarbe : Bildschirmfarbe := 2) is
   begin
      Verlagere(Geometrisches_Objekt(Flaechenobjekt(Was)), Wo);
      Was.Bezugspunkt2 := P1;
      --Der Flaeche wird momentan noch ein Dummiewert zugewiesen
      Was.Flaeche := 0.0;
      Umfaerben(Geometrisches_Objekt(Flaechenobjekt(Was)), Farbe);
      Was.Fuellfarbe := FFarbe;
   end Erstelle;
   


   procedure Zeige (Was : in TElipse) is
   begin
      Text_Io.Put_Line("Ich bin eine Elipse");
      Text_Io.Put("Koordiante1: x="); Ada.Integer_Text_Io.Put(Was.Bezugspunkt.X, 0);
      Text_Io.Put(", y="); Ada.Integer_Text_Io.Put(Was.Bezugspunkt.Y, 0);
      Text_Io.New_Line;
      Text_Io.Put("Koordiante2: x="); Ada.Integer_Text_Io.Put(Was.Bezugspunkt2.X, 0);
      Text_Io.Put(", y="); Ada.Integer_Text_Io.Put(Was.Bezugspunkt2.Y, 0);
      Text_Io.New_Line;
      Text_Io.Put("Flaeche: "); Text_Io.Put(Was.Flaeche'IMG);
      Text_Io.New_Line;
      Text_Io.Put("Farbe: "); Ada.Integer_Text_Io.Put(Integer(Was.Farbe), 0);
      Text_Io.New_Line;
      Text_Io.Put("Fuellfarbe: "); Text_Io.Put(Was.Fuellfarbe'IMG);
      Text_Io.New_Line;
   end Zeige;
   

   procedure Zeichne (Was : in TElipse) is
      Farbe : Adagraph.Color_Type;
   begin
      case Was.Farbe is
         when 1 => Farbe := Adagraph.Blue;
         when 2 => Farbe := Adagraph.Green;
         when 3 => Farbe := Adagraph.Cyan;
         when 4 => Farbe := Adagraph.Red; 
         when 5 => Farbe := Adagraph.Magenta;
         when 6 => Farbe := Adagraph.Brown;
         when 7 => Farbe := Adagraph.Light_Gray;
         when 8 => Farbe := Adagraph.Dark_Gray;
         when 9 => Farbe := Adagraph.Light_Blue;
         when 10 => Farbe := Adagraph.Light_Green;
         when 11 => Farbe := Adagraph.Light_Cyan;
         when 12 => Farbe := Adagraph.Light_Red;
         when 13 => Farbe := Adagraph.Light_Magenta;
         when 14 => Farbe := Adagraph.Yellow;
         when 15 => Farbe := Adagraph.White;
      end case;
      Adagraph.Draw_Ellipse(Was.Bezugspunkt.X, Was.Bezugspunkt.Y, Was.Bezugspunkt2.X, Was.Bezugspunkt2.Y, Farbe, Adagraph.Fill);
   end Zeichne;

      
   
end Geo.Flaechenobjekte.Elipse;

