--Author: Thomas Baumann, Andeas Krker, Steffen Keller
--Aufgabe: Spezialisierung e
--Package body Geo.Flaechenobjekte.Punkt
with Text_Io, Ada.Integer_Text_Io, Adagraph;

package body Geo.Linienobjekte.Punkt is
   procedure Erstelle (Was : in out TPunkt; Wo : in Pixel_Koordinaten; Farbe : in Bildschirmfarbe := 1) is
   begin
      Was.Bezugspunkt := Wo;
      Was.Farbe := Farbe;
   end Erstelle;
   


   procedure Zeige (Was : in TPunkt) is
   begin
      Text_Io.Put_Line("Ich bin ein Punkt");
      Text_Io.Put("Koordiante1: x="); Ada.Integer_Text_Io.Put(Was.Bezugspunkt.X, 0);
      Text_Io.Put(", y="); Ada.Integer_Text_Io.Put(Was.Bezugspunkt.Y, 0);
      Text_Io.New_Line;
      Text_Io.Put("Farbe: "); Ada.Integer_Text_Io.Put(Integer(Was.Farbe), 0);
      Text_Io.New_Line;
   end Zeige;
   

   procedure Zeichne (Was : in TPunkt) is
      Farbe : Adagraph.Color_Type;
   begin
      case Was.Farbe is
         when 1 => Farbe := Adagraph.Blue;
         when 2 => Farbe := Adagraph.Green;
         when 3 => Farbe := Adagraph.Cyan;
         when 4 => Farbe := Adagraph.Red; 
         when 5 => Farbe := Adagraph.Magenta;
         when 6 => Farbe := Adagraph.Brown;
         when 7 => Farbe := Adagraph.Light_Gray;
         when 8 => Farbe := Adagraph.Dark_Gray;
         when 9 => Farbe := Adagraph.Light_Blue;
         when 10 => Farbe := Adagraph.Light_Green;
         when 11 => Farbe := Adagraph.Light_Cyan;
         when 12 => Farbe := Adagraph.Light_Red;
         when 13 => Farbe := Adagraph.Light_Magenta;
         when 14 => Farbe := Adagraph.Yellow;
         when 15 => Farbe := Adagraph.White;
      end case;
      Adagraph.Put_Pixel(Was.Bezugspunkt.X, Was.Bezugspunkt.Y, Farbe);
   end Zeichne;

      
end Geo.Linienobjekte.Punkt;
